<?php
class Regras {

  private $qualis;
  private $fatorMult;
  private $datIni; // date
  private $datFim; // date
  private $qntAnos;
  private $pontMin;

  function __construct($qualis, $fatorMult, $datIni, $datFim, $qntAnos, $pontMin) {
    $this->qualis = $qualis;
    $result = str_replace(',', '.', $fatorMult);
    $this->fatorMult = floatval($result);
    $this->datIni = $datIni;
    $this->datFim = $datFim;
    $this->qntAnos = $qntAnos;
    $this->pontMin = $pontMin;
  }

  public function toString () {
    return "Regras: Fator: " . $this->fatorMult . "; Data Inicio: " . $this->datIni->format('d/m/Y') .
        "; Data Fim: " . $this->datFim->format('d/m/Y') . "; Qtd anos: " . $this->qntAnos . "; Pontuacao Minima: " . $this->pontMin;
  }

  //getters and setters
  public function getQualis(){
    return $this->qualis;
  }

  public function getDatIni() {
    return $this->datIni;
  }

  public function setDatIni($datIni) {
    $this->datIni = $datIni;
  }

  public function getDatFim() {
    return $this->datFim;
  }

  public function setDatFim($datFim) {
    $this->datFim = $datFim;
  }

  public function getAnos() {
    return $this->qntAnos;
  }

  public function getFatorMult() {
    return $this->fatorMult;
  }

  public function getPontMin(){
    return $this->pontMin;
  }
}
?>
